Update gallery dialog to work with Parsoid's native <gallery> implementation
Closed, ResolvedPublic40 Story Points

Description

This change will allow e.g. rich text editing of the captions, as in the media dialog.

In addition to modifying the gallery dialog, a new ve.dm.MWGalleryImageNode class will be required, similar to ve.dm.MWBlockImageNode but specifically for gallery images. The image captions and gallery captions should be able to make use of ve.dm.MWImageCaptionNode.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 13 2016, 9:24 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF set the point value for this task to 8.

Note the limitation in T33517 for the caption attribute (but not the image captions).

Change 322490 had a related patch set uploaded (by Jforrester; owner: Tchanders):
[mediawiki/extensions/VisualEditor@master] WIP Make gallery dialog work with native gallery implementation

https://gerrit.wikimedia.org/r/322490

Change 322490 had a related patch set uploaded (by Tchanders):
[mediawiki/extensions/VisualEditor@master] WIP Make gallery dialog work with native gallery implementation

https://gerrit.wikimedia.org/r/322490

Restricted Application added a project: Multimedia. · View Herald TranscriptSep 25 2017, 4:50 PM
Deskana removed Tchanders as the assignee of this task.Oct 16 2017, 1:02 PM
Esanders assigned this task to matmarex.Feb 24 2018, 4:54 PM
Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.
Esanders changed the point value for this task from 8 to 40.
Esanders moved this task from Up next to In progress on the VisualEditor (Current work) board.

Change 322490 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Make gallery dialog work with native gallery implementation

https://gerrit.wikimedia.org/r/322490

matmarex closed this task as Resolved.Mar 20 2018, 8:31 PM
matmarex removed a project: Patch-For-Review.